Target version:    
Description

Related issues:

Related to User Interface - Feature #2252: implement GUI client support Closed 03/24/2014

Related to User Interface - Feature #1801: add some frame options Closed 02/22/2013 08/16/2013

Related to User Interface - Feature #2368: allow widget output to stream in G... WIP

Related to User Interface - Feature #6438: frame attributes, methods and options Closed

History

#1 - 08/11/2014 02:55 PM - Constantin Asofiei

- Subject changed from implemented output to redirected, paged terminal via (un)named streams to implemented output to redirected, paged terminal

via (un)named streams in GUI mode

Starting from the case in #2252-141, implement output to stream when the stream is paged/page-size is set and it targets the terminal:

DEF VAR i AS INT.

DISPLAY i WITH FRAME f1.

PAUSE.

DEF STREAM rpt.

OUTPUT STREAM rpt TO TERMINAL PAGED.

DO i = 1 TO 2:

   DISPLAY STREAM rpt i.

   DOWN STREAM rpt 1.

END.

DISPLAY i WITH FRAME f1. /* this shows warning that terminal output can't be mixed with paged/non-paged*/

OUTPUT STREAM rpt CLOSE.

MESSAGE string(FRAME f1:VISIBLE).

See how the terminal switches to a white background instead of gray. More, the underlying frame is hidden and it looks like it doesn't allow direct

access to the terminal.  
#2 - 10/14/2015 02:03 PM - Greg Shah

In #1801, we implemented conversion support for STREAM-IO.  The runtime support needs to be implemented in this task.

#3 - 03/23/2016 04:44 PM - Greg Shah

- Target version deleted (Milestone 12)

#4 - 09/09/2019 04:35 PM - Greg Shah

In the 4GL, the STREAM-IO option can be specified at COMPILE for a program.  This means that the frames default to STREAM-IO mode.  We have

a customer application that uses this for some of their files.  We could add a hint to mark files as "compiled with STREAM-IO on".

#5 - 08/21/2023 12:02 PM - Greg Shah

- Related to Feature #6438: frame attributes, methods and options added
